flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From arpit agarwal <agarwala.ar...@gmail.com>
Subject Re: AW: AW: Maven build failure issue with Flexmojo 6.x
Date Tue, 24 Jun 2014 10:28:35 GMT
Hi,

I have added the exclusion and  i won't see a duplicate entry of
playerglobal artifact. I also validate the configration.xml from target
folder no suspicious dependencies there all are from 4.10 except
playerglobal 11.8 ( as per required flashplayer version). as3common.reflect
and validation libs are not bringing anything extra now.

any other suggestions?

Regards,
Arpit


On Tue, Jun 24, 2014 at 2:54 PM, Christofer Dutz <christofer.dutz@c-ware.de>
wrote:

> Perhaps sending the configuration.xml in the target directory could help
> ... it should contain a list of all external libraries ... if you see any
> flex libs with strange versions (Not version 4.10.x) these need to be
> excluded.
>
> Chris
>
> ________________________________________
> Von: Frédéric THOMAS <webdoublefx@hotmail.com>
> Gesendet: Dienstag, 24. Juni 2014 11:15
> An: users@flex.apache.org
> Betreff: RE: AW: AW: Maven build failure issue with Flexmojo 6.x
>
> Can you provide or check your FlexMojo config to make sure it has been
> correctly setup.
>
> Example for a simple project:
>
>
>             <plugin>
>                 <groupId>net.flexmojos.oss</groupId>
>                 <artifactId>flexmojos-maven-plugin</artifactId>
>                 <version>${flexmojos.version}</version>
>                 <extensions>true</extensions>
>                 <configuration>
>                     <storepass/>
>                     <debug>${flex.debug}</debug>
>                     <targetPlayer>${flash-player.version}</targetPlayer>
>                     <verboseStacktraces>true</verboseStacktraces>
>                     <skipTest>${flex.skip.test}</skipTest>
>                     <compilerWarnings>
>                         <warn-no-constructor>false</warn-no-constructor>
>
> <show-binding-warnings>false</show-binding-warnings>
>                     </compilerWarnings>
>                 </configuration>
>                 <dependencies>
>                     <dependency>
>                         <groupId>com.adobe.flex</groupId>
>                         <artifactId>compiler</artifactId>
>                         <version>${flex.version}</version>
>                         <type>pom</type>
>                     </dependency>
>                 </dependencies>
>             </plugin>
>
> And example of as3-common-bytecode dependency which is not that far from
> the reflect one:
>
> <dependency>
>             <groupId>org.as3commons</groupId>
>             <artifactId>as3commons-bytecode</artifactId>
>             <version>1.1.0</version>
>             <type>swc</type>
>             <exclusions>
>                 <exclusion>
>                     <groupId>com.adobe.flexunit</groupId>
>                     <artifactId>flexunit</artifactId>
>                 </exclusion>
>                 <exclusion>
>                     <groupId>com.adobe.flex.framework.air</groupId>
>                     <artifactId>air-framework</artifactId>
>                 </exclusion>
>                 <exclusion>
>                     <groupId>com.adobe.flex.framework</groupId>
>                     <artifactId>common-framework</artifactId>
>                 </exclusion>
>                 <exclusion>
>                     <groupId>com.adobe.flex.framework</groupId>
>                     <artifactId>playerglobal</artifactId>
>                 </exclusion>
>                 <exclusion>
>                     <groupId>org.osmf</groupId>
>                     <artifactId>OSMF</artifactId>
>                 </exclusion>
>             </exclusions>
>         </dependency>
>
>
> Frédéric THOMAS
>
> > From: agarwala.arpit@gmail.com
> > Date: Tue, 24 Jun 2014 14:34:09 +0530
> > Subject: Re: AW: AW: Maven build failure issue with Flexmojo 6.x
> > To: christofer.dutz@c-ware.de
> > CC: users@flex.apache.org
> >
> > Thanks Chris. I have run that command to find out maven dependencies
> tree.
> > we use com.adobe.cairngorm:validation:swc
> > and  org.as3commons:as3commons-reflect:swc
> > I see in dependencies tree, there is import for a different version of
> > playerGlobal.swc from as3 commons. can this be a cause and if yes how to
> > fix it?Please look at relevant tree portion.
> >
> >
> >
>  com.adobe.flash.framework:playerglobal:rb.swc:11.8:compile
> >              +- org.as3commons:as3commons-reflect:swc:1.6.4:runtime
> > [INFO]    |  +- org.as3commons:as3commons-lang:swc:0.3.7:runtime
> > [INFO]    |  \-
> > com.adobe.flex.framework:playerglobal:swc:10.2:4.5.1.21328:runtime
> >               \- com.adobe.cairngorm:validation:swc:1.12:runtime
> >
> > Regards,
> > Arpit
> >
> >
> > On Tue, Jun 24, 2014 at 1:46 PM, Christofer Dutz <
> christofer.dutz@c-ware.de>
> > wrote:
> >
> > > Ok ... in that case you have to stick to Flexmojos 6
> > >
> > > But eventually third party libraries could be causing this as the
> > > artifacts from the mavenizer are not 100% the same as the ones Velo
> used to
> > > deploy.
> > > So you could be linking against third party libs that were compiled
> using
> > > Velo's FDKs and hereby pulling in multiple versions of the same
> library. I
> > > would recommend to check the output of the following maven command:
> > >
> > > mvn dependency:tree
> > >
> > > Eventually you have to add some "exclude" elements to third party
> > > dependencies.
> > > From the error message I can only guess what could be causing the
> > > problems, but I recall having similar problems which were related to
> > > version mixes.
> > >
> > > Chris
> > >
> > > ________________________________________
> > > Von: arpit agarwal <agarwala.arpit@gmail.com>
> > > Gesendet: Dienstag, 24. Juni 2014 09:15
> > > An: users@flex.apache.org; aharui@adobe.com
> > > Betreff: Re: AW: AW: Maven build failure issue with Flexmojo 6.x
> > >
> > > Hi Chrish,
> > >
> > > The group id for spark and sparkSkin arttifact is
> > > "com.adobe.flex.framework".
> > > Moreover, We are able to resolve one Error (below) by removing
> > > [HostComponent] metadata and adding a hostComponent property (as we do
> for
> > > AS3 skins).  It looks like when compiler parse this metadata and
> create the
> > > property hostComponent its give it  a return type Object which is not
> > > correct. why is compiler parsing of skin metaData is not correct?
> > >
> > > [ERROR]
> > > /mnt/extra/var/local/snoopy/work/platform-master/
> > > kiwikframework/src/main/flex/com/guavus/framework/widgets/
> > > classes/TableStateWidgetSkin.mxml:[-1,-1]
> > > Implicit coercion of a value of type
> > > com.guavus.framework.widgets.classes:TableStateWidget to an unrelated
> type
> > > Object.
> > >
> > > This error is not easily replicable but reproducible on few systems
> with
> > > fixed set of repro  steps. It will be hard to give a specific repro
> setup.
> > > Here is the details of setup.
> > >
> > > Apache Maven 3.0.4 (r1232337; 2012-01-17 14:14:56+0530)
> > > Maven home: /usr/local/apache-maven
> > > Java version: 1.6.0_51, vendor: Apple Inc.
> > > Java home:
> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
> > > Default locale: en_US, platform encoding: MacRoman
> > > OS name: "mac os x", version: "10.7.5", arch: "x86_64", family: "mac"
> > > Apache Flex: 4.10 ( mavenized)
> > >
> > > <flex.version>4.10.0.20130801</flex.version>
> > > <flexmojos.version>6.0.1</flexmojos.version>
> > > <flash.player.version>11.8.0</flash.player.version>
> > >
> > > <dependency>
> > > <groupId>com.adobe.flex</groupId>
> > > <artifactId>compiler</artifactId>
> > >  <version>${flex.version}</version>
> > > <type>pom</type>
> > > </dependency>
> > >
> > >
> > > Alex,
> > >  can it be complier issue? do you know how the Metadata parsing is
> done or
> > > any code block u can point me to where i can see MetaData treatment in
> > > compiler
> > >
> > > Regards,
> > > Arpit
> > >
> > >
> > > On Mon, Jun 23, 2014 at 10:04 PM, arpit agarwal <
> agarwala.arpit@gmail.com>
> > > wrote:
> > >
> > > > Hi Crish,
> > > >
> > > > We were using flexmojo 6.0.1 and  mavenized the Apache 4.10 SDK.
>  But we
> > > > were getting 2 strange error ( 1 at time ) randomly as posted by
> Jitendra
> > > > in his initial mail.
> > > > should we migrate to 7.0.1 or those error can be solved in any other
> > > > possible way.  We can remove those error by turning off strict
> compiler
> > > > argument but doesn't sound like a good approach.
> > > >
> > > > Regards,
> > > > Arpit
> > > >
> > > >
> > > > On Mon, Jun 23, 2014 at 5:38 PM, jiks@afg <kumawat.itbhu@gmail.com>
> > > wrote:
> > > >
> > > >> Thanks
> > > >>
> > > >> I willl find that artifacts and update ...
> > > >>
> > > >>
> > > >>
> > > >>
> > > >> --
> > > >> View this message in context:
> > > >>
> > >
> http://apache-flex-users.2333346.n4.nabble.com/Maven-build-failure-issue-with-Flexmojo-6-x-tp6925p6934.html
> > > >> Sent from the Apache Flex Users mailing list archive at Nabble.com.
> > > >>
> > > >
> > > >
> > >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message